Bug 137649 - Calc Function Wizard - arguments not correctly described for LOGNORM.INV function
Summary: Calc Function Wizard - arguments not correctly described for LOGNORM.INV func...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.0.1.2 release
Hardware: All All
: medium normal
Assignee: Olivier Hallot
URL:
Whiteboard: target:7.5.0 target:7.4.0.0.beta2
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2020-10-21 10:16 UTC by Steve Fanning
Modified: 2022-11-23 19:55 UTC (History)
0 users

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Fanning 2020-10-21 10:16:09 UTC
Description:
Calc's two functions LOGINV and LOGNORM.INV are understood (by code inspection) to execute the same code.

However in the Function Wizard the descriptions of the function's arguments are different. In the case of LOGINV, the Mean and STDEV arguments are marked as optional. In the case of LOGNORM.INV, those two parameters are marked as required.

Experimentation with Calc leads to the conclusion that both arguments are indeed optional for both functions, and so the text on the Function Wizard is misleading for LOGNORM.INV.

The associated help page is also misleading.

Steps to Reproduce:
Open Function Wizard and view parameter descriptions for both functions.

Actual Results:
See above.

Expected Results:
See above.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.0.1.2 (x64)
Build ID: 7cbcfc562f6eb6708b5ff7d7397325de9e764452
CPU threads: 6; OS: Windows 10.0 Build 19041; UI render: Skia/Raster; VCL: win
Locale: en-GB (en_GB); UI: en-US
Calc: threaded
Comment 1 Olivier Hallot 2022-06-27 13:43:19 UTC
LOGNORM.INV is an implementation of the Microsoft homonym function, as indicated the the Help with namespace COM.MICROSOFT.LOGNORM.INV

Doc source for Microsoft
https://support.microsoft.com/en-us/office/lognorm-inv-function-fe79751a-f1f2-4af8-a0a1-e151b2d4f600

Help page for LibreOffice LOGNORM.INV
https://help.libreoffice.org/master/en-US/text/scalc/01/04060183.html?DbPAR=CALC#bm_id2901928

LOGINV is an ODFF function.
http://docs.oasis-open.org/office/v1.2/os/OpenDocument-v1.2-os-part2.html#__RefHeading__1018708_715980110

The function wizard is correct on required and optional arguments of the 2 functions (even if the internal code is the same).

The Help page must be corrected to reflect this difference.
Comment 2 Commit Notification 2022-06-28 12:50:48 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/68b34cc91fa64ca5f0356c9d867bff1b51e848c9

tdf#137649 Fix LOGNORM.INV optional arguments
Comment 3 Commit Notification 2022-06-28 13:27:44 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/help/commit/79dc278a13d668a78d8728166d58f21e8edb4110

tdf#137649 Fix LOGNORM.INV optional arguments
Comment 4 Martin Srebotnjak 2022-11-23 19:52:06 UTC
Can we close this as RESOLVED - FIXED?